/*
 * Copyright (C) 1997-2009, R3vis Corporation.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA, or visit http://www.gnu.org/copyleft/lgpl.html.
 *
 * Original Contributor:
 *   Wes Bethel, R3vis Corporation, Marin County, California
 *   http://www.r3vis.com/
 * Additional Contributor(s):
 *
 * The OpenRM project is located at http://www.openrm.org/
 */
/*
 * $Id: rmversion.c,v 1.21 2009/08/02 15:10:01 wes Exp $
 * Version: $Name: v180-alpha-03 $
 * $Revision: 1.21 $
 */

#include <rm/rm.h>
#include "rmprivat.h"

static char version[] = "(v1.8.0-alpha-03)";
static char rmsgbanner[] = "OpenRM Scene Graph %s, \nCopyright (C) 1999-2009, R3vis Corporation.";

/* PRIVATE */
int
private_rmHello (void)
{
    char bigbuf[512];

    /* everybody gets the copyright notice */
    sprintf(bigbuf, rmsgbanner, version);
    rmSplash(bigbuf);

    return(1);
}
/* EOF */
